Retrieve all Apple Pass templates
Roles
Analytics Events
/v2/credentials/compact/digital-pass/apple/templatesRetrieves a list of all Apple Pass template available on the tenant.
Analytic events
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_LIST_START
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_LIST_SUCCESS
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/credentials/compact/digital-pass/apple/templates"{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1h",
"data": [
{
"id": "3812166c-ac9f-4e4e-96dd-c1336b5be378",
"passType": "apple",
"name": "Certificate of participation",
"metadata": {
"fileName": "certificate_of_participation.pkpass",
"teamIdentifier": "GH5P43ABC",
"passTypeIdentifier": "pass.myproject.participation.pk"
}
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Create an Apple Pass template POST
Creates an Apple Pass template based on the provided `.zip` file. Refer to our [Design an Apple Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/apple-templates) guide for more information on how to design the template and how to structure the `.zip` file. <Callout> The Apple Pass template uses the official Apple Pass bundle structure. </Callout> ### **Analytic events** * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_CREATE_START * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_CREATE_SUCCESS * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_CREATE_FAIL
Retrieve an Apple Pass template GET
Retrieves an existing Apple Pass template by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_START * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_FAIL